Subject: bug#41006: 26.3; regular expressions documentation

From: Drew Adams <[email-masked]>
Date: Tue, 5 May 2020 11:40:36 -0700 (PDT)

> If I go up one node, to (elisp) Searching and Matching, I can see:
> 
> * Regular Expressions::   Describing classes of strings.
> * Regexp Search::         Searching for a match for a regexp.
> 
> So I suggest to move "Regexp Search" so that it is a section under
> "Regular Expressions" (instead of parallel to it).  Maybe conceptually
> this is not as clean, but it is more pedagogical and user-friendly,
> IMHO.
> 
> I would also suggest to place "Regexp Search" first, even before
> "Syntax of Regexps", but this is just my personal preference and less
> important.  It should at least, from my point of view, come before "Rx
> Notation".

I think `Regexp Search' belongs under `Searching
and Matching'.

But I think `Regexp Search' should come before
`Regular Expressions'.

And maybe `POSIX Regexps' and `Standard Regexps'
should be under `Regular Expressions'.

IOW, separate using regexps (searching and matching)
from details about what regexps are and what their
syntax is.

We can present how to use them without requiring
much knowledge of what they are.

And of course we should have xrefs between the
doc about what they are and the doc about using
them.  (Probably there are already some such.)